--[[
	Author: Cougar FFW04	12/2021

	DCS Mission : .miz
	Parmeters to be loaded
	
	WARNING : if planes startup range allows negative values and random start time is lower than current simulation
	time, start time is set to current time + 15sec.
--]]

-- PARAMETERS
-- ==========

-- Mission specific parameter (if any)
-- 

-- Sams/Vehicules bataillons to be considered and probability of activation
-- RED -- TO BE FILLED
redSA2, redSA3, redSA5, redSA6 = {}, {}, {}, {}
redTank, redSup = {}, {}

-- BLUE -- TO BE FILLED
blueSam = {}
blueTank, blueSup = {}, {}


-- pStop is the probability that a SAM battery or VEHICLE convoy stops emitting/moving
-- del is the random range interval (in sec) after which stop/start conditions are evaluated
-- WARNING : execute CONTINU/switchFlag(tabGroups)
-- ALREADY DONE IN TEMPLATE MISSION TRIGGER
-- ===============================================
tabGroups = {
	-- SAM ={typ="SAM", pStop=XX, del={X*60,X*60}}, 
	-- VEHICLE ={typ="VEHICLE", pStop=XX, del={X*60,X*60}}
	}
	
-- Planes
-- {flights} are packadge flights related to lead flight
-- task is mainly for parameter clarity and debug
-- prob is the probability that flight is scheduled in his startup interval
-- WARNING : execute 
-- 		ONE TIME /time > 10/ startATO(blueATO, nil, timer.getTime())
-- 		ONE TIME /time > 10/ startATO(redATO, nil, timer.getTime())
-- ALREADY DONE IN TEMPLATE MISSION TRIGGER
-- ================================================================

-- BLUE planes default starting engine interval time -- TO BE MODIFIED AT CONVENIENCE
blueStartRange = {60, 50*60}

-- Blue lead flights TO BE FILLED
blueATO = {
-- Human
	-- EXEMPLE Ford1 = {role="Player", startup=nil, startT=nil, started=false, flights={"Ford3", "Shell1"}, task="2 F-18C STRIKE"},
-- IA
	-- EXEMPLE Magic1 = {role="IA", startup={30, 25*60}, startT=nil, started=false, flights={"Springfield1"}, comms = {"Magic1",nil,"Magic1"}, task="E-3A AWACS"},
}

-- Blue pack flights TO BE FILLED
-- EXEMPLE Ford3 = {role="IA", startup={3.*60, 4.5*60}, startT=nil, started=false, flights={"Ford4","Ford5","Shell2"}, comms={"Ford3",nil,"Ford3"}, task="3 F-15E STRIKE"}
	
-- RED planes default starting engine interval time  -- TO BE MODIFIED AT CONVENIENCE
redStartRange = {120, 90*60}

-- RED lead flights TO BE FILLED
redATO = {
-- IA
}

-- Red pack flights TO BE FILLED


-- END OF FILE